import dynamix_sdk.base as _base


class CloudapiFlipgroupComputeRemoveResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiFlipgroupComputeRemoveProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def compute_remove(
        self,
        *,
        flip_group_id: int,
        vm_id: int,
    ) -> CloudapiFlipgroupComputeRemoveResultBool:
        ...
